Apache JMeter

## org.apache.jorphan.util
Class JMeterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.jorphan.util.JMeterException

All Implemented Interfaces:
  Serializable

public class JMeterException
extends Exception

The rationale for this class is to support chained Errors in JDK 1.3

Version:
  $Revision: 674365 $
See Also:
  Serialized Form

Constructor Summary
`JMeterException()`
`JMeterException(String s)`
`JMeterException(String message, Throwable cause)`
`JMeterException(Throwable cause)`

Method Summary
`Throwable` `getCause()` Local version of getCause() for JDK1.3 support

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMeterException

    public JMeterException()

### JMeterException

    public JMeterException(String s)

Parameters:
  `s` -

### JMeterException

    public JMeterException(Throwable cause)

Parameters:
  `cause` -

### JMeterException

    public JMeterException(String message,
                           Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### getCause

    public Throwable getCause()

  Local version of getCause() for JDK1.3 support

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.